Bug 239538 - games/solarus: unbreak where luajit is unavailable
Summary: games/solarus: unbreak where luajit is unavailable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-30 17:15 UTC by Piotr Kubaj
Modified: 2019-12-09 22:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
patch (967 bytes, patch)
2019-07-30 17:15 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1.41 KB, patch)
2019-12-05 21:45 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (danilo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-30 17:15:32 UTC
Created attachment 206161 [details]
patch

Luajit seems to be only available on amd64, i386 and powerpc (32-bit). Use standard Lua on other architectures.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-02 16:47:50 UTC
I have tried a couple of different things, but I can't get this to build on powerpc64:

CMake Error at /usr/local/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find Lua51 (missing: LUA_LIBRARIES LUA_INCLUDE_DIR)
Comment 2 Piotr Kubaj freebsd_committer 2019-12-05 21:45:23 UTC
Created attachment 209743 [details]
v2

Is that patch ok?

It adds LUAJIT option for using Lua or LuaJIT and fixes some portlint issues (hence PORTREVISION bump).
Comment 3 commit-hook freebsd_committer 2019-12-09 22:16:10 UTC
A commit references this bug:

Author: danilo
Date: Mon Dec  9 22:16:02 UTC 2019
New revision: 519637
URL: https://svnweb.freebsd.org/changeset/ports/519637

Log:
  - Unbreak where luajit is unavailable by using lua instead
  - Add LUAJIT option and enable it by default for architecures where it's supported

  PR:		239538
  Submitted by:	pkubaj

Changes:
  head/games/solarus/Makefile
  head/games/solarus/pkg-plist
Comment 4 Danilo Egea Gondolfo freebsd_committer 2019-12-09 22:16:39 UTC
Committed, thanks!